module Graphics.LambdaCube.RenderSystem.GL (mkGLRenderSystem,GLEntity,GLRenderEntity,GLVertexBuffer,GLIndexBuffer) where

import Graphics.LambdaCube.Entity
import Graphics.LambdaCube.RenderSystem
import Graphics.LambdaCube.RenderSystem.GL.GpuProgram
import Graphics.LambdaCube.RenderSystem.GL.IndexBuffer
import Graphics.LambdaCube.RenderSystem.GL.RenderSystem
import Graphics.LambdaCube.RenderSystem.GL.Texture
import Graphics.LambdaCube.RenderSystem.GL.VertexBuffer

type GLEntity = Entity GLVertexBuffer GLIndexBuffer GLTexture GLLinkedGpuProgram

type GLRenderEntity = RenderEntity GLVertexBuffer GLIndexBuffer GLTexture GLLinkedGpuProgram
